Skip to Content
kosemdocs
ReferenceAPIEnvironments

Delete environment

Deletes an environment and its disk, with everything on it. The environment is DELETING until both are gone, and then is not found.

DELETE
/v1/projects/{project}/environments/{environment}

Deletes an environment and its disk, with everything on it. The environment is DELETING until both are gone, and then is not found.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
environment*string

The environment's ID.

Match^env_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/projects/string/environments/string'
Example Response
Empty